include	clib.inc
include	conio.inc

PPROC	rcshow, rect:dword, fl:word, wp:dword
	mov	ax,fl
	test	ax,_D_DOPEN
	jz	rcshow_fail
	and	ax,_D_ONSCR
	jnz	rcshow_end
	pushm	rect
	pushm	wp
	call	rcxchg
	mov	ax,fl
	and	ax,_D_SHADE
	jz	rcshow_00
	pushm	rect
	pushm	wp
	call	rcsetshade
    rcshow_00:
	mov	ax,1
    rcshow_end:
	ret
    rcshow_fail:
	xor	ax,ax
	jmp	rcshow_end
PEND	rcshow

	END
